import { Node } from '@tiptap/core';

interface ImageOptions {
    inline: boolean;
    allowBase64: boolean;
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        image: {
            /**
             * Add an image
             */
            setImage: (options: {
                src: string;
                alt?: string;
                title?: string;
            }) => ReturnType;
        };
    }
}
declare const inputRegex: RegExp;
declare const Image: Node<ImageOptions, any>;

export { Image, ImageOptions, Image as default, inputRegex };
